---
title: adv precommit
---

:::caution[Advanced Commands]

Commands in this section are advanced and aren't covered by support.
Proceed at your own risk!

:::

## clustertool adv precommit

Runs the PreCommit encryption check

```
clustertool adv precommit [flags]
```

### Examples

```
clustertool adv precommit
```

### Options

```
  -h, --help   help for precommit
```

### Options inherited from parent commands

```
      --cluster string   Cluster name (default "main")
```
